MONGOC_COLLECTION_UPDATE(3)

NAME
mongoc_collection_update - mongoc_collection_update()

SYNOPSIS

        bool
        mongoc_collection_update (mongoc_collection_t *collection,
                                  mongoc_update_flags_t flags,
                                  const bson_t *selector,
                                  const bson_t *update,
                                  const mongoc_write_concern_t *write_concern,
                                  bson_error_t *error);

PARAMETERS

    •   collection: A mongoc_collection_t.

    •   flags: A bitwise or of mongoc_update_flags_t.

    •   selector: A bson_t containing the query to match documents for updating.

    •   update: A bson_t containing the update to perform. If updating with a pipeline, a bson_t array.

    •   write_concern: A mongoc_write_concern_t.

    •   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

Superseded by mongoc_collection_update_one, mongoc_collection_update_many, and mongoc_collection_replace_one.

This function shall update documents in collection that match selector.

By default, updates only a single document. Set flags to MONGOC_UPDATE_MULTI_UPDATE to update multiple documents.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

A write concern timeout or write concern error is considered a failure.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc